/*
 * Class CIRCULAR_CURSOR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_603 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_603 [] = {0xFF01,1551,602,0xFFFF};
static const EIF_TYPE_INDEX egt_2_603 [] = {0xFF01,602,0xFFFF};
static const EIF_TYPE_INDEX egt_3_603 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_603 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_603 [] = {0xFF01,602,0xFFFF};
static const EIF_TYPE_INDEX egt_6_603 [] = {0xFF01,602,0xFFFF};
static const EIF_TYPE_INDEX egt_7_603 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_603 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_603 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_603 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_603 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_603 [] = {0xFF01,602,0xFFFF};
static const EIF_TYPE_INDEX egt_13_603 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_603[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_603), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_603), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_603), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_603), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_603), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_603), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_603), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_603), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_603), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_603), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_603), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_603), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04B5 /*602*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_603), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12933, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_603), 12934, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12935, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12932, 8},
};
void Init603(void)
{
	IDSC(desc_603, 0, 602);
	IDSC(desc_603 + 1, 1, 602);
	IDSC(desc_603 + 32, 1386, 602);
}


#ifdef __cplusplus
}
#endif
